edu.whs.spin2018.baoapp.presenter

## Class SpieleinstellungenPresenter

- java.lang.Object
- - edu.whs.spin2018.baoapp.presenter.SpieleinstellungenPresenter

- All Implemented Interfaces:
    SpieleinstellungenEventListener, BasePresenter<SpieleinstellungenRemoteDataSource>, SpieleinstellungenContract.Presenter

      public class SpieleinstellungenPresenter
      extends java.lang.Object
      implements SpieleinstellungenContract.Presenter

  Presenter Klasse fuer die Spieleinstellungen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpieleinstellungenPresenter(SpieleinstellungenContract.View spieleinstellungenView, java.lang.String aktuellerRaum, java.lang.String gegnerName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onGegnerAendertMinuten(int minutenIndex)`
    `void` | `onGegnerAendertSekunden(int sekundenIndex)`
    `void` | `onGegnerAendertZeitTyp(java.lang.String zeittyp)`
    `void` | `onGegnerIstBereit(boolean istBereit)`
    `void` | `onGegnerVerlaesstRaum()`
    `void` | `sendeIstBereit()` Sendet dem Gegner, ob der Spieler bereit ist oder nicht
    `void` | `sendeMinutenauswahl(int minutenIndex)` Sendet den vom Spieler ausgewaehlten MinutenIndex an den Gegner.
    `void` | `sendeSekundenauswahl(int sekundenIndex)` Sendet den vom Spieler ausgewaehlten SekundenIndex an den Gegner.
    `void` | `sendeZeittyp(java.lang.String zeitTyp)` Sendet den vom Spieler ausgewaehlten Zeittyp an den Gegner.
    `void` | `setzeServiceInteractor(SpieleinstellungenRemoteDataSource interactor)` Setzt einen ServiceInteractor fuer den Presenter um mit dem Server kommunizieren zu könnne
    `void` | `stop()` Stoppt den Presenter
    `void` | `verlasseSpieleinstellungen()` verlaesst die Spieleinstellungen.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpieleinstellungenPresenter

          public SpieleinstellungenPresenter(@NonNull
                                             SpieleinstellungenContract.View spieleinstellungenView,
                                             java.lang.String aktuellerRaum,
                                             java.lang.String gegnerName)

  - ### Method Detail

    - #### onGegnerVerlaesstRaum

          public void onGegnerVerlaesstRaum()

      Specified by:
        `onGegnerVerlaesstRaum` in interface `SpieleinstellungenEventListener`

    - #### onGegnerAendertZeitTyp

          public void onGegnerAendertZeitTyp(java.lang.String zeittyp)

      Specified by:
        `onGegnerAendertZeitTyp` in interface `SpieleinstellungenEventListener`

    - #### onGegnerAendertMinuten

          public void onGegnerAendertMinuten(int minutenIndex)

      Specified by:
        `onGegnerAendertMinuten` in interface `SpieleinstellungenEventListener`

    - #### onGegnerAendertSekunden

          public void onGegnerAendertSekunden(int sekundenIndex)

      Specified by:
        `onGegnerAendertSekunden` in interface `SpieleinstellungenEventListener`

    - #### onGegnerIstBereit

          public void onGegnerIstBereit(boolean istBereit)

      Specified by:
        `onGegnerIstBereit` in interface `SpieleinstellungenEventListener`

    - #### sendeZeittyp

          public void sendeZeittyp(java.lang.String zeitTyp)

      Description copied from interface: `SpieleinstellungenContract.Presenter`
      Sendet den vom Spieler ausgewaehlten Zeittyp an den Gegner.
      Specified by:
        `sendeZeittyp` in interface `SpieleinstellungenContract.Presenter`
      Parameters:
        `zeitTyp` - - ausgewaehlter Zeittyp

    - #### sendeSekundenauswahl

          public void sendeSekundenauswahl(int sekundenIndex)

      Description copied from interface: `SpieleinstellungenContract.Presenter`
      Sendet den vom Spieler ausgewaehlten SekundenIndex an den Gegner.
      Specified by:
        `sendeSekundenauswahl` in interface `SpieleinstellungenContract.Presenter`
      Parameters:
        `sekundenIndex` - - ausgewaehlter SekundenIndex

    - #### sendeMinutenauswahl

          public void sendeMinutenauswahl(int minutenIndex)

      Description copied from interface: `SpieleinstellungenContract.Presenter`
      Sendet den vom Spieler ausgewaehlten MinutenIndex an den Gegner.
      Specified by:
        `sendeMinutenauswahl` in interface `SpieleinstellungenContract.Presenter`
      Parameters:
        `minutenIndex` - - ausgewaehler MinutenIndex

    - #### sendeIstBereit

          public void sendeIstBereit()

      Description copied from interface: `SpieleinstellungenContract.Presenter`
      Sendet dem Gegner, ob der Spieler bereit ist oder nicht
      Specified by:
        `sendeIstBereit` in interface `SpieleinstellungenContract.Presenter`

    - #### verlasseSpieleinstellungen

          public void verlasseSpieleinstellungen()

      Description copied from interface: `SpieleinstellungenContract.Presenter`
      verlaesst die Spieleinstellungen. Sendet dem Gegner, dass der Raum verlassen wurde.
      Specified by:
        `verlasseSpieleinstellungen` in interface `SpieleinstellungenContract.Presenter`

    - #### stop

          public void stop()

      Description copied from interface: `BasePresenter`
      Stoppt den Presenter
      Specified by:
        `stop` in interface `BasePresenter<SpieleinstellungenRemoteDataSource>`

    - #### setzeServiceInteractor

          public void setzeServiceInteractor(SpieleinstellungenRemoteDataSource interactor)

      Description copied from interface: `BasePresenter`
      Setzt einen ServiceInteractor fuer den Presenter um mit dem Server kommunizieren zu könnne
      Specified by:
        `setzeServiceInteractor` in interface `BasePresenter<SpieleinstellungenRemoteDataSource>`
      Parameters:
        `interactor` - - Interactor fuer den Presenter